<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Bugtracker</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"/>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" th:href="@{/}">Bugtracker</a>
            <div class="collapse navbar-collapse">
                <ul class="navbar-nav ml-auto">
                    <li>
                        <span class="navbar-text" sec:authentication="name">Username</span> &nbsp; &nbsp; &nbsp;
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" th:href="@{/userList}">Users</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" th:href="@{/logout}">Logout</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <br/><br/>
    <div class="container">
        <h1>User List</h1>
        <br/><br/>
        <table class="table">
            <tr>
                <th scope="col">Email</th>
                <th scope="col">Username</th>
                <th scope="col">Provider</th>
            </tr>
            <tr th:each ="user : ${users}">
                <td th:utext="${user.email}">...</td>
                <td th:utext="${user.username}">...</td>
                <td th:utext="${user.provider}">...</td>
            </tr>
        </table>
    </div>
</body>
</html>